Sensitivity Labels - Get
Mendapatkan label sensitivitas dari kolom tertentu
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}?api-version=2021-02-01-preview
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
column
|
path | True |
|
Nama kolom. |
|
database
|
path | True |
|
Nama database. |
|
resource
|
path | True |
|
Nama grup sumber daya yang berisi sumber daya. Anda dapat memperoleh nilai ini dari Azure Resource Manager API atau portal. |
|
schema
|
path | True |
|
Nama skema. |
|
sensitivity
|
path | True |
Sumber label sensitivitas. |
|
|
server
|
path | True |
|
Nama server. |
|
subscription
|
path | True |
|
ID langganan yang mengidentifikasi langganan Azure. |
|
table
|
path | True |
|
Nama tabel. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk permintaan. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Berhasil mengambil label sensitivitas. |
|
| Other Status Codes |
Respons Kesalahan: ***
|
Contoh
Gets the sensitivity label of a given column
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current?api-version=2021-02-01-preview
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"properties": {
"schemaName": "dbo",
"tableName": "myTable",
"columnName": "myColumn",
"informationType": "PhoneNumber",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "High"
}
}
Definisi
|
Sensitivity |
Label sensitivitas. |
|
Sensitivity |
|
|
Sensitivity |
Sumber label sensitivitas. |
SensitivityLabel
Label sensitivitas.
| Name | Type | Description |
|---|---|---|
| id |
|
ID Sumber Daya. |
| managedBy |
|
Sumber daya yang mengelola label sensitivitas. |
| name |
|
Nama sumber daya. |
| properties.columnName |
|
Nama kolom. |
| properties.informationType |
|
Jenis informasi. |
| properties.informationTypeId |
|
ID jenis informasi. |
| properties.isDisabled |
|
Apakah rekomendasi sensitivitas dinonaktifkan. Berlaku hanya untuk label sensitivitas yang direkomendasikan. Menentukan apakah rekomendasi sensitivitas pada kolom ini dinonaktifkan (ditutup) atau tidak. |
| properties.labelId |
|
ID label. |
| properties.labelName |
|
Nama label. |
| properties.rank | ||
| properties.schemaName |
|
Nama skema. |
| properties.tableName |
|
Nama tabel. |
| type |
|
Jenis sumber daya |
SensitivityLabelRank
| Name | Type | Description |
|---|---|---|
| Critical |
|
|
| High |
|
|
| Low |
|
|
| Medium |
|
|
| None |
|
SensitivityLabelSource
Sumber label sensitivitas.
| Name | Type | Description |
|---|---|---|
| current |
|
|
| recommended |
|